// Learn TypeScript:
//  - https://docs.cocos.com/creator/manual/en/scripting/typescript.html
// Learn Attribute:
//  - https://docs.cocos.com/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - https://docs.cocos.com/creator/manual/en/scripting/life-cycle-callbacks.html
import GameData from './GameData';
import GameManager from './GameManager';
import { Notification } from './tool/Notification';
const {ccclass, property} = cc._decorator;

@ccclass
export default class NewClass extends cc.Component {

    @property(cc.Label)
    label: cc.Label = null;

    @property
    text: string = 'hello';

    // LIFE-CYCLE CALLBACKS:

    // onLoad () {}

    start () {
        this.node.on(cc.Node.EventType.TOUCH_START, this.jump, this);
    }

    jump(){
        if(GameManager._instance){
            if(GameManager._instance.over == false && GameManager._instance.begin == true){
                Notification.emit("jump",null);
            }
        }
        else if(GameData._instance.GM_INFO.probation == true){
            Notification.emit("jump",null);
        }
   
    }


    // update (dt) {}
}
